SUpnpString Struct Reference
The UpnpString Class

Internal implementation of the class UpnpString. More...

## Data Fields

int | m_length
| Length of the string. More...
char * | m_string
| Pointer to a dynamically allocated area that holds the NULL terminated string. More...

## Detailed Description

Internal implementation of the class UpnpString.

## Field Documentation

int SUpnpString::m_length

Length of the string.

Referenced by UpnpString_delete(), UpnpString_dup(), and UpnpString_new().

char* SUpnpString::m_string

Pointer to a dynamically allocated area that holds the NULL terminated string.

Referenced by UpnpString_delete(), UpnpString_dup(), UpnpString_new(), UpnpString_set_String(), and UpnpString_set_StringN().

The documentation for this struct was generated from the following file:

- upnp/src/api/UpnpString.c